Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WOutlookBar
Class Item

    java.lang.Object
      LumiSoft.UI.Controls.WOutlookBar.Item

    public class Item

extends java.lang.Object

Outlookbar item.

Constructor Summary
`Item(Items items)` Default constructor.

Method Summary
`boolean` | `getAllowStuck()` Gets if item may stuck.
`Bar` | `getBar()` Gets owner bar of item.
`java.awt.Rectangle` | `getBounds()`
`boolean` | `getEnabled()` Gets if item enabled.
`java.awt.Image` | `getImage()` Gets item image.
`int` | `getImageIndex()` Gets item image index.
`java.awt.Rectangle` | `getImageRect()`
`int` | `getIndex()` Gets item physical index.
`Items` | `getItems()` Gets referance to items collection.
`java.lang.Object` | `getTag()` Gets item tag.
`java.lang.String` | `getText()` Gets item text.
`java.lang.String` | `getTextID()` Gets item text ID.
`java.awt.Rectangle` | `getTextRect()`
`ViewStyle` | `getViewStyle()` Gets referance to OutlookBar control ViewStyle.
`boolean` | `getVisible()` Gets if item is visible.
`WOutlookBar` | `getWOutlookBar()` Gets referance to OutlookBar control.
`void` | `setAllowStuck(boolean value)` Sets if item may stuck.
`void` | `setEnabled(boolean value)` Sets if item enabled.
`void` | `setImageIndex(int value)` Sets item image index.
`void` | `setTag(java.lang.Object value)` Sets item tag.
`void` | `setText(java.lang.String value)` Sets item text.
`void` | `setTextID(java.lang.String value)` Sets item text ID.
`void` | `setVisible(boolean value)` Sets if item visible.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Item

    public Item(Items items)

  Default constructor.

  Parameters:
    `items` -

Method Detail

### getText

    public java.lang.String getText()

  Gets item text.

  Returns:

### setText

    public void setText(java.lang.String value)

  Sets item text.

  Parameters:
    `value` -

### getTextID

    public java.lang.String getTextID()

  Gets item text ID.

  Returns:

### setTextID

    public void setTextID(java.lang.String value)

  Sets item text ID.

  Parameters:
    `value` -

### getEnabled

    public boolean getEnabled()

  Gets if item enabled.

  Returns:

### setEnabled

    public void setEnabled(boolean value)

  Sets if item enabled.

  Parameters:
    `value` -

### getVisible

    public boolean getVisible()

  Gets if item is visible.

  Returns:

### setVisible

    public void setVisible(boolean value)

  Sets if item visible.

  Parameters:
    `value` -

### getTag

    public java.lang.Object getTag()

  Gets item tag.

  Returns:

### setTag

    public void setTag(java.lang.Object value)

  Sets item tag.

  Parameters:
    `value` -

### getImageIndex

    public int getImageIndex()

  Gets item image index.

  Returns:

### setImageIndex

    public void setImageIndex(int value)

  Sets item image index.

  Parameters:
    `value` -

### getAllowStuck

    public boolean getAllowStuck()

  Gets if item may stuck.

  Returns:

### setAllowStuck

    public void setAllowStuck(boolean value)

  Sets if item may stuck.

  Parameters:
    `value` -

### getIndex

    public int getIndex()

  Gets item physical index. NOTE: Invisible items are included.

  Returns:

### getImage

    public java.awt.Image getImage()

  Gets item image.

  Returns:

### getBounds

    public java.awt.Rectangle getBounds()

### getImageRect

    public java.awt.Rectangle getImageRect()

### getTextRect

    public java.awt.Rectangle getTextRect()

### getItems

    public Items getItems()

  Gets referance to items collection.

  Returns:

### getBar

    public Bar getBar()

  Gets owner bar of item.

  Returns:

### getWOutlookBar

    public WOutlookBar getWOutlookBar()

  Gets referance to OutlookBar control.

  Returns:

### getViewStyle

    public ViewStyle getViewStyle()

  Gets referance to OutlookBar control ViewStyle.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD